# Default values for dnsup.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: paasup/dnsup
  pullPolicy: IfNotPresent
  tag: "v0.2"

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

podSecurityContext: {}

securityContext: {}

service:
  type: ClusterIP
  port: 53
  LoadBalancerIP: "" 
  annotations: {}

ingress:
  enabled: false
  className: ""
  annotations: {}
  hosts:
    - host: chart-example.local
      paths:
        - path: /
          pathType: ImplementationSpecific
  tls: []

resources: {}

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80

volumes: []

volumeMounts: []

nodeSelector: {}

tolerations: []

affinity: {}

env:
  DB_HOST: ""
  DB_PORT: "5432"
  DB_USER: ""
  DB_PASSWORD: ""
  DB_NAME: ""
  UPPER_DNS: "8.8.8.8"